<?php
/*
Plugin Name: Private! Wordpress Access Control Manager
Plugin URI: http://plugins.x-blogs.org/private/
Description: Manage easily, who can access your blog or certain parts of your blog
Version: 1.4.1
Author: Oliver Sperke
Author URI: http://x-blogs.org/

Copyright 2010 Oliver Sperke <plugins@x-blogs.org>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

// Load the required framework
define('XFW_PATH', PLUGINDIR.'/'.dirname(plugin_basename( __FILE__ )));
define('PRIVATE_VERSION', '141');

if(!defined('XFW_LOADED'))
	require_once('lib/xfw.class.php');

require_once('lib/xfw_private.class.php');

// .... and go!
$xfw = new xfw_private(
			'users.php',
			'private',
			'Private! Wordpress Access Control Manager',
			'manage_options',
			'Private! Settings',
			'private_wordpress_access_manager',
			array(
				'enable' => '',
				'norestrictions' => false,
				'relation' => false,
				'noapprove' => false,
				'capabilities' => 'administrator',
				'page' => false,
				'home' => false,
				'front' => false,
				'category' => false,
				'catsingle' => false,
				'tag' => false,
				'tagsingle' => false,
				'categories' => false,
				'post' => false,
				'attachment' => false,
				'tags' => false,
				'posts' => false,
				'archive' => false,
				'search' => false,
				'feed' => false,
				'showfeed' => false,
				'feedkey' => false,
				'requestfilter' => false,
				'strongpass' => false,
				'norealerror' => false,
				'customerror' => '<strong>ERROR</strong>: Username or password are not correct. Please check your data.',
				'loginjs' => false,
				'bruteforce' => false,
				'tarpit' => false,
				'maxtimeout' => 30,
				'maxattempts' => 5,
				'lockout' => 600,
				'keeplog' => 3600,
				'lockoutmessage' => 'Sorry, you are locked out until <strong>%until%</strong>.',
				'headerswp' => 0,
				'headerswlw' => 0,
				'headersrsd' => 0,
				'redirect' => '',
				'message' => '<p class="message">Sorry, you must be logged in, to see this page.</p>',
				'link' => false,
				'version' => PRIVATE_VERSION
			));

?>